Subject: RE: XML2RFC submission (was Re: ASCII art)

From: Jeffrey Hutzelman <[email-masked]>
Date: Fri, 02 Dec 2005 21:59:15 -0500

On Monday, November 28, 2005 07:00:43 PM -0800 "Hallam-Baker, Phillip" 
<[email-masked]> wrote:

>
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Christian Huitema
>
>> > Hence the desire to have the RFC Editor use xml2rfc, rather than
>> nroff.
>>
>> I don't think publishing the xml2rfc test is such a good
>> idea. Xml2rfc is a preparation format. The printed result is
>> a combination of the xml2rfc input and a formatting program
>> of some kind. This formatting program is bound to change over
>> time, e.g. when templates change. You want to archive the
>> final result, not the initial input.
>
> Why do you think that?
>
> What you want to do is to get as close as possible to the original
> author's intent.

False.  In a standards document, what you want to do is get as close to
possible to the document which was approved by the standards body.  Once 
the standard is approved, publishing something that looks more like the 
author's original intent and less like what was approved may be actively 
harmful.

People revising the spec will of course want access to the source form, 
because it makes their lives easier.  The same goes for "legislative 
history" like mailing list archives, old versions of the document, etc. 
And of course, implementors may want access to the same information because 
it may help them understand WTF the authors were thinking or clarify some 
ambiguous point.

BUT, it is the spec as approved that is authoritative, not the source file 
that was used to generate the spec as approved.

-- Jeff

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf